API Reference
Stock Movements
3 endpoints· Auth: JWT or API Key
get
/api/v1/console/inventory/movements JWT API KeyGet movements
Query parameters
| Type string | — |
| Location string | — |
| StockLocationId string (uuid) | — |
| ItemId string (uuid) | — |
| From string (date) | — |
| To string (date) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/movements" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/inventory/movements/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/movements/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/inventory/movements/adjustments JWT API KeyCreate adjustments
Request body
application/json
{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"stockLocationId": "00000000-0000-0000-0000-000000000000",
"newQuantity": 0,
"reason": "string",
"businessDate": "2026-09-30"
}| inventoryItemId string (uuid) | — |
| stockLocationId string (uuid) | — |
| newQuantity number (double) | — |
| reason string | — |
| businessDate string (date) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/inventory/movements/adjustments" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"stockLocationId": "00000000-0000-0000-0000-000000000000",
"newQuantity": 0,
"reason": "string",
"businessDate": "2026-09-30"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu